Bug 470950 - Serial console settings create "staircase" display affect
Serial console settings create "staircase" display affect
Status: CLOSED NOTABUG
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 21:13 EST by Bryan McLellan
Modified: 2010-03-16 13:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-11 01:21:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stty output before running minicom (593 bytes, text/plain)
2008-11-10 21:14 EST, Bryan McLellan
no flags Details
stty output after running minicom (600 bytes, text/plain)
2008-11-10 21:15 EST, Bryan McLellan
no flags Details
stty output with intrepid (611 bytes, text/plain)
2008-11-11 01:19 EST, Bryan McLellan
no flags Details

  None (edit)
Description Bryan McLellan 2008-11-10 21:13:43 EST
Description of problem:

When using 'virsh console domain' to connect to a serial console the display staircases and it appears every CRLF is producing two LFs.

Version-Release number of selected component (if applicable):

host: ubuntu hardy + libvirt 0.4.4-3ubuntu3 + kvm 1:62+dfsg-0ubuntu8
guest: ubuntu intrepid

Steps to Reproduce:
1. Configure /etc/event.d/ttyS0 to start getty on ttyS0
2. Configure a serial console in libvirt with:
    <console type='pty'>
      <target port='0'/>
    </console>
3. Start the guest and connect to it's console with 'virsh console domain'
  
Actual results:

Display staircases where it should carriage return

Expected results:

Display is left-justified like normal.

Workaround after startup:
stty -F `virsh ttyconsole DOMAIN` -icrnl
Comment 1 Bryan McLellan 2008-11-10 21:14:13 EST
Created attachment 323143 [details]
stty output before running minicom
Comment 2 Bryan McLellan 2008-11-10 21:15:39 EST
Created attachment 323144 [details]
stty output after running minicom
Comment 3 Bryan McLellan 2008-11-11 01:19:29 EST
Created attachment 323152 [details]
stty output with intrepid
Comment 4 Bryan McLellan 2008-11-11 01:21:39 EST
Tested on an intrepid host, and the console worked fine. Upgraded hardy host
with the issue to Ubuntu intrepid, and the issue was resolved. Terminfo bug?
Whatever it is, not directly a libvirt/virsh bug. I'm not going to look deeper
at it.

Ubuntu Hardy->Jaunty all run ncurses=5.6+20071124-1ubuntu2

Note You need to log in before you can comment on or make changes to this bug.